package me.lensfrex.doubandps.data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.google.gson.annotations.SerializedName;
import lombok.EqualsAndHashCode;
import lombok.Getter;

@Getter
@EqualsAndHashCode
public class MovieInformation {
    @SerializedName("name_Ch")
    @ExcelProperty(index = 0, value = "影片名称")
    private String chineseName;

    @SerializedName("name_Fr")
    @ExcelProperty(index = 1, value = "外文名")
    private String alienName;

    @ExcelProperty(index = 2, value = "上映年份")
    private int year;

    @ExcelProperty(index = 3, value = "评分")
    private float point;

    @SerializedName("num")
    @ExcelProperty(index = 4, value = "评价人数")
    private int evaluationAmount;
}
